org.bouncycastle.ocsp

## Class RespID

- java.lang.Object
- - org.bouncycastle.ocsp.RespID

    public class RespID
    extends java.lang.Object

Carrier for a ResponderID.

### Constructor Summary

Constructors
Constructor and Description
`RespID(java.security.PublicKey key)`
`RespID(ResponderID id)`
`RespID(javax.security.auth.x500.X500Principal name)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`ResponderID` `toASN1Object()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RespID

    public RespID(ResponderID id)

#### RespID

    public RespID(javax.security.auth.x500.X500Principal name)

#### RespID

    public RespID(java.security.PublicKey key)
           throws OCSPException

Throws:
  `OCSPException`

### Method Detail

#### toASN1Object

    public ResponderID toASN1Object()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`